Subject: bug#39082: Inconsolata v3.000 has too wide spacing

From: Andrea Greselin <[email-masked]>
Date: Sun, 12 Jan 2020 19:17:38 +0100

> An easier way to get at the character glyph metrics is like this:
>
>   M-: (font-get-glyphs (font-at 1) 1 2) RET

Having launched Emacs with `emacs -Q -fn Inconsolata-12` I get

  [[0 0 59 541 29 2 7 9 4 nil]]

> It would be also interesting to compare this with a font that is
> displayed "normally".

With `emacs -Q -fn "DejaVu Sans Mono-12"` (which displays correctly)
the output is

  [[0 0 59 30 11 3 8 10 3 nil]]

I've run both test on a scratch buffer showing its message, so they
should be referring to the character ";". `(font-get-glyphs (font-at
1) 100 101)` returns

  [[0 0 116 415 29 0 10 12 0 nil]]

with Inconsolata and

  [[0 0 116 87 11 0 11 14 0 nil]]

with DejaVu.

The fourth values look rather off, and the fifth too.

Andrea

On Sun, 12 Jan 2020 at 18:52, Eli Zaretskii <[email-masked]> wrote:

> > Date: Sun, 12 Jan 2020 18:56:08 +0200
> > From: Eli Zaretskii <[email-masked]>
> > Cc: [email-masked]
> >
> > > Date: Sun, 12 Jan 2020 17:37:58 +0200
> > > From: Eli Zaretskii <[email-masked]>
> > > Cc: [email-masked]
> > >
> > > Sadly, I have no idea how to go about investigating this problem
> > > further, maybe someone else does?
> >
> > One idea is to look at the character glyph metric we get from the font
> > here:
>
> An easier way to get at the character glyph metrics is like this:
>
>   M-: (font-get-glyphs (font-at 1) 1 2) RET
>
> This should show the glyph metrics of the font glyph used to display
> the character at buffer position 1.  (Change 1 to any other buffer
> position to report on a character there, and then change 2 to 1 more
> than that position, for example 100 and 101 for the character at
> buffer position 100.)
>
> I'm mostly interested in the WIDTH element (the 5th element) of the
> result, but maybe others will also show something important.  It would
> be also interesting to compare this with a font that is displayed
> "normally".
>
> Thanks.
>